## javax.ws.rs.ext
Interface ExceptionMapper<E extends java.lang.Throwable>

    public interface ExceptionMapper<E extends java.lang.Throwable>

Contract for a provider that maps Java exceptions to `Response`. An implementation of this interface must be annotated with `Provider`.

See Also:
  `Provider`, `Response`

Method Summary
`Response` | `toResponse(E exception)` Map an exception to a `Response`.

Method Detail

### toResponse

    Response toResponse(E exception)

  Map an exception to a `Response`. Returning `null` results in a `Response.Status.NO_CONTENT` response. Throwing a runtime exception results in a `Response.Status.INTERNAL_SERVER_ERROR` response

  Parameters:
    `exception` - the exception to map to a response
  Returns:
    a response mapped from the supplied exception

Copyright © 2017 Oracle Corporation. All Rights Reserved.